www.cendio.com

Bug 5185

Summary: Include a profile for the HP Connection Manager ("Manticore")
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: Client platformsAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: ossman_tester, relnotes
Version: 4.2.0   
Target Milestone: 4.3.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 5194    
Bug Blocks: 4496, 5186    

Description From cendio 2014-06-10 13:09:07
Modern versions of HP thin clients has a connection manager system, dubbed
"Manticore". This system is used both on the "normal" thin clients (ThinPro,
used on t610 etc) as well as the zero clients (SmartZero, used on t410 etc).
See http://www8.hp.com/us/en/thin-clients/software-and-os.html. On ThinPro,
there's typically an option to create a custom connection, which means that we
can launch tlclient anyway, although with a bit of manual configuration.
However, on SmartZero, there's no such option, so a Manticore profile is a
requirement. This bug is about creating such a profile. Basically, we need to
create:

/usr/share/manticore/plugins/thinlinc/config
/usr/share/manticore/plugins/thinlinc/default.xml

Then, at least on the SmartZero, one needs to indicate that this profile should
be available, by making sure that the registry key
root/ConnectionType/thinlinc/connections exists. I believe this can be done
with a command such as:

mclient create root/ConnectionType/thinlinc/connections
mclient commit

Or, we could create & import an XML file.
------- Comment #1 From cendio 2014-06-25 15:49:51 -------
Fixed in r29079,r29102,r29105. 

Should be tested on both "standard" and "zero" versions of HP ThinPro, for
example t410 and t610. Also check documentation. 

Time will be reported on bug 4496.
------- Comment #2 From cendio 2014-10-01 14:45:39 -------
The "zero" client works (but see bug 4496). The "standard" one had some issues
though:

 - ThinLinc isn't an option in the configuration wizard
 - You cannot delete ThinLinc connections in user mode. Other types do not have
this limitation.

I also got an automatic installation UI when I plugged in a USB stick with the
.deb files in the root directory. Perhaps we should update our instructions?
Note that this only happens on the "standard" device.
------- Comment #3 From cendio 2014-10-06 11:20:33 -------
(In reply to comment #2)

>  - You cannot delete ThinLinc connections in user mode. Other types do not have
> this limitation.

Should be fixed in 29464.


> I also got an automatic installation UI when I plugged in a USB stick with the
> .deb files in the root directory. Perhaps we should update our instructions?
> Note that this only happens on the "standard" device.

This is a new feature in Thinpro 5.x, but we want to stay compatible with
earlier versions as well.
------- Comment #4 From cendio 2014-10-06 14:16:23 -------
(In reply to comment #2)
> The "zero" client works (but see bug 4496). The "standard" one had some issues
> though:
> 
>  - ThinLinc isn't an option in the configuration wizard

It turns out that the hptc-config-wizard binary contains a hardcoded list of
which connection types to display. Not much we can do about this. Documented in
29465.
------- Comment #5 From cendio 2014-10-13 14:45:22 -------
Works fine now.
------- Comment #6 From cendio 2014-10-21 14:46:23 -------
Breaks client package on Solaris. Solaris runs the postinstall script through
sh, which does not support test -e.
------- Comment #7 From cendio 2014-10-21 14:51:09 -------
(In reply to comment #6)
> Breaks client package on Solaris. Solaris runs the postinstall script through
> sh, which does not support test -e.

29528.
------- Comment #8 From cendio 2014-10-22 11:23:34 -------
Works on Solaris now, and still works on the HP client.

I did however notice that we do not remove our entry from that file when
uninstalling the client.
------- Comment #9 From cendio 2014-10-22 13:49:18 -------
(In reply to comment #8)

> I did however notice that we do not remove our entry from that file when
> uninstalling the client.

Not necessary, the /etc/SysInfo/pkg_list.conf file includes all potentially
installed packages.
------- Comment #10 From cendio 2014-10-22 17:03:25 -------
All done then.